## octavia-dashboard 9.0.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

horizon>=17.1.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
openstacksdk>=0.53.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0

=== debian/changelog ===
octavia-dashboard (9.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:39:28 +0000

octavia-dashboard (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:54:15 +0200

octavia-dashboard (9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 14:08:23 +0200

octavia-dashboard (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 21:02:25 +0100

=== debian/control ===
Source: octavia-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-babel,
 python3-barbicanclient,
 python3-coverage,
 python3-django,
 python3-django-nose,
 python3-keystoneclient,
 python3-nose-exclude,
 python3-octavia,
 python3-openstacksdk (>= 0.53.0),
 python3-oslo.log,
 python3-oslo.policy,
 python3-oslotest,
 python3-selenium,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/octavia-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/octavia-dashboard
Homepage: https://github.com/openstack/octavia-dashboard.git

Package: python3-octavia-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-babel,
 python3-barbicanclient,
 python3-django,
 python3-keystoneclient,
 python3-openstacksdk (>= 0.53.0),
 python3-oslo.log,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack Load Balance as a service - dashboard plugin
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the OpenStack dashboard plugin.

## octavia-dashboard 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 horizon>=17.1.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 openstacksdk>=0.53.0 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.1 # BSD

# releasenotes
reno>=3.1.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
octavia-dashboard (10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:45:52 +0200

octavia-dashboard (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:48:23 +0200

octavia-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-oslo.log from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2022 17:03:17 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-nose-exclude,
  python3-octavia,
  python3-openstacksdk (>= 0.53.0),
- python3-oslo.log,
  python3-oslo.policy,
  python3-oslotest,
  python3-selenium,
@@ -47,7 +46,6 @@
  python3-django,
  python3-keystoneclient,
  python3-openstacksdk (>= 0.53.0),
- python3-oslo.log,
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

## octavia-dashboard 10.0.1

=== debian/changelog ===
octavia-dashboard (10.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 13:01:23 +0000

## octavia-dashboard 11.0.0

=== debian/changelog ===
octavia-dashboard (11.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Mar 2023 22:23:26 +0000

octavia-dashboard (11.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:16:07 -0400

octavia-dashboard (11.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 11:26:18 -0500

octavia-dashboard (10.0.0+git2023011010.aadd697e-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:33:42 -0500

octavia-dashboard (10.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 10.x series
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:38:07 -0400

octavia-dashboard (9.0.0+git2022091214.a51d197-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:51:11 -0400

octavia-dashboard (9.0.0+git2022071816.1f6691e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:16:52 -0400

octavia-dashboard (9.0.0+git2022060610.1f6691e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:22:21 -0400

## octavia-dashboard 11.0.0+git2023071215.6fb6871e

=== debian/changelog ===
octavia-dashboard (11.0.0+git2023071215.6fb6871e-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:06:16 -0400

## octavia-dashboard 11.0.1

=== debian/changelog ===
octavia-dashboard (11.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 10:02:00 +0000

octavia-dashboard (11.0.0-4) unstable; urgency=medium

  * Removed dependency on nose.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 11:00:33 +0200

octavia-dashboard (11.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048476).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 10:54:50 +0200

octavia-dashboard (11.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:43:05 +0200

octavia-dashboard (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:39:44 +0100

octavia-dashboard (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Mar 2023 08:53:30 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,7 @@
  python3-barbicanclient,
  python3-coverage,
  python3-django,
- python3-django-nose,
  python3-keystoneclient,
- python3-nose-exclude,
  python3-octavia,
  python3-openstacksdk (>= 0.53.0),
  python3-oslo.policy,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .stestr *.egg-info .coverage
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Generate missing policy file
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/conf/octavia_policy.json \
		--format json \
		--namespace octavia

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/conf/octavia_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/octavia_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			python$$i $(CURDIR)/manage.py test octavia_dashboard -v 2 --settings=octavia_dashboard.tests.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## octavia-dashboard 12.0.0

=== debian/changelog ===
octavia-dashboard (12.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 13:01:07 +0000

octavia-dashboard (12.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:19:02 -0400

octavia-dashboard (11.0.0+git2023090714.5c0277ff-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:43:28 -0400

## octavia-dashboard 12.0.1

=== debian/changelog ===
octavia-dashboard (12.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Thu, 02 Oct 2025 09:55:34 +0000

octavia-dashboard (12.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:58:22 +0200

octavia-dashboard (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 11:05:07 +0200

## octavia-dashboard 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,5 +10,4 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 openstacksdk>=0.53.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-python-barbicanclient>=4.5.2 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0

=== debian/changelog ===
octavia-dashboard (13.0.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 05 Apr 2024 17:15:32 +0000

octavia-dashboard (13.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:30:17 +0100

octavia-dashboard (13.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 09:27:22 +0000

octavia-dashboard (12.0.0+git2024020611.702fc2d5-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Feb 2024 10:06:18 +0000

=== debian/control ===
Source: octavia-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.1),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 1.1.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-nose-exclude (>= 0.3.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.53.0),
 python3-oslotest (>= 1:3.2.0),
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia-dashboard
Homepage: https://opendev.org/openstack/octavia-dashboard

Package: python3-octavia-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-keystoneclient (>= 1:3.22.0),
 python3-openstacksdk (>= 0.53.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-django (>= 1:1.11),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balance as a service - dashboard plugin
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the OpenStack dashboard plugin.

## octavia-dashboard 13.0.1

=== debian/changelog ===
octavia-dashboard (13.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:39:30 +0000

octavia-dashboard (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:44:13 +0200

octavia-dashboard (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 16:11:29 +0100

## octavia-dashboard 14.0.0

=== debian/changelog ===
octavia-dashboard (14.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090452).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:21:00 +0100

octavia-dashboard (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:04:51 +0200

octavia-dashboard (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 22:52:42 +0200

octavia-dashboard (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 12:57:42 +0200

## octavia-dashboard 15.0.0

=== debian/changelog ===
octavia-dashboard (15.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 09:50:44 -0700

octavia-dashboard (14.0.0+git2025030311.c63d88a-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:20:38 +0000

octavia-dashboard (14.0.0+git2025011511.f865546-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/control: drop unnecessary dependencies

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 08:28:13 +0000

octavia-dashboard (14.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:37:17 +0100

octavia-dashboard (14.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 15:57:25 +0100

octavia-dashboard (13.0.0+git2024080809.24548fe0-0ubuntu1) oracular; urgency=medium

  * New upsteam snapshot for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 14 Aug 2024 09:54:06 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/octavia-dashboard/ octavia_dashboard-(15\.\d.*)\.tar\.gz

## octavia-dashboard 15.0.0+git2025070714.890ed46

=== debian/changelog ===
octavia-dashboard (15.0.0+git2025070714.890ed46-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 21 Jul 2025 16:00:03 -0700

## octavia-dashboard 16.0.0~rc1

=== debian/changelog ===
octavia-dashboard (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 09:59:23 +0200

octavia-dashboard (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:20:11 +0200

octavia-dashboard (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 22:01:17 +0100

octavia-dashboard (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:36:02 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/octavia-dashboard/tags .*/(\d[brc\d\.]+)\.tar\.gz

## octavia-dashboard 16.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

horizon>=17.1.0 # Apache-2.0
Babel>=2.3.4 # BSD
openstacksdk>=0.53.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.1 # BSD

# releasenotes
reno>=3.1.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
octavia-dashboard (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:20:13 +0200

octavia-dashboard (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:52:11 +0200

=== debian/control ===
Source: octavia-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-babel,
 python3-coverage,
 python3-django,
 python3-keystoneclient,
 python3-octavia,
 python3-openstacksdk (>= 0.53.0),
 python3-oslo.policy,
 python3-oslotest,
 python3-selenium,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/octavia-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/octavia-dashboard
Homepage: https://github.com/openstack/octavia-dashboard.git

Package: python3-octavia-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-babel,
 python3-django,
 python3-keystoneclient,
 python3-openstacksdk (>= 0.53.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack Load Balance as a service - dashboard plugin
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## octavia-dashboard 16.0.0+git20251202.12.3d429a4

=== debian/changelog ===
octavia-dashboard (16.0.0+git20251202.12.3d429a4-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 16.0.0+git20251202.12.3d429a4
  * d/patches/*: refresh patches
  * New upstream snapshot from 3d429a46be0a4e5ae91ab8541b69b51482eb0ca5
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 15:23:19 -0800

octavia-dashboard (16.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Fri, 03 Oct 2025 01:38:53 -0400

octavia-dashboard (16.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 07:14:59 -0700

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=octavia_dashboard

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			CLIENT_NAME=octavia-dashboard \
			DJANGO_SETTINGS_MODULE=octavia_dashboard.tests.settings \
			python3 -m coverage run \
			$(CURDIR)/manage.py test octavia_dashboard --settings=octavia_dashboard.tests.settings ; \
	done
endif

override_dh_clean:
	dh_clean
	find . -name '*pyc' -delete
	rm -f octavia_dashboard/tests/.secret_key_store
	rm -rf .coverage*
	rm -rf build
	rm -f AUTHORS ChangeLog

override_dh_install:
	# Activates the octavia_dashboard plugin in Horizon
	# octavia_dashboard/enabled/_*
	mkdir -p $(CURDIR)/debian/python3-octavia-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp -r $(CURDIR)/octavia_dashboard/enabled/_14* $(CURDIR)/debian/python3-octavia-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	dh_install

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/octavia-dashboard/ octavia_dashboard-(\d{1,2}\.\d.*)\.tar\.gz
